Mail archive
alpine-devel

[alpine-devel] [PATCH] testing/py-pystache: new aport https://pypi.python.org/pypi/pystache Pystache is a Python implementation of Mustache.

From: Paul Kilar <pkilar_at_gmail.com>
Date: Wed, 14 May 2014 14:26:15 -0400

---
 testing/py-pystache/APKBUILD | 40 ++++++++++++++++++++++++++++++++++++++++
 1 file changed, 40 insertions(+)
 create mode 100644 testing/py-pystache/APKBUILD
diff --git a/testing/py-pystache/APKBUILD b/testing/py-pystache/APKBUILD
new file mode 100644
index 0000000..8bfb424
--- /dev/null
+++ b/testing/py-pystache/APKBUILD
_at_@ -0,0 +1,40 @@
+# Contributor: Paul Kilar <pkilar_at_gmail.com>
+# Maintainer: Paul Kilar <pkilar_at_gmail.com>
+pkgname=py-pystache
+_realname=pystache
+pkgver='0.5.3'
+pkgrel=0
+pkgdesc="Pystache is a Python implementation of Mustache."
+url="https://pypi.python.org/pypi/pystache"
+arch="noarch"
+license="MIT"
+depends="python"
+depends_dev=""
+makedepends="py-setuptools"
+install=""
+subpackages=""
+source="https://pypi.python.org/packages/source/p/$_realname/$_realname-$pkgver.tar.gz"
+_builddir="$srcdir"/$_realname-$pkgver
+
+prepare() {
+	local i
+	cd "$_builddir"
+	for i in $source; do
+		case $i in
+		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+		esac
+	done
+}
+
+build() {
+	cd "$_builddir"
+	python setup.py build || return 1
+}
+
+package() {
+	cd "$_builddir"
+	python setup.py install --prefix=/usr --root="$pkgdir" || return 1
+}
+md5sums="32beedc4ee01cca737ae8f05e65fb53f  pystache-0.5.3.tar.gz"
+sha256sums="445c8663291abf11305693ecac7b9f3ff976555f5506ccc05a0353260a5a16dc  pystache-0.5.3.tar.gz"
+sha512sums="2b77f3e26cf37e663b7414e5ca95667f8332bb1005ae835775543c0d2c282f0c7bd8ded3f1e06da930247e39e5d206fb3f90d80e7c556b98cd69d4be74836843  pystache-0.5.3.tar.gz"
-- 
1.8.2.3
---
Unsubscribe:  alpine-devel+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-devel+help_at_lists.alpinelinux.org
---
Received on Wed May 14 2014 - 14:26:15 GMT